<?php
class ShevArezoBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'ShevArezo';
	const URI = 'https://blog.shevarezo.fr/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request ShevArezo : ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('figure.cover img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
        $article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.post-content-wrapper', 0)->innertext
		);
 
		$article_content = stripWithDelimiters($article_content, '<script', '</script>');
        $article_content = stripWithDelimiters($article_content, '<div class="post-nb-comments">', '</div>');
        $article_content = stripWithDelimiters($article_content, '<h1 class="post-title"', '</h1>');
        $article_content = stripWithDelimiters($article_content, '<div class="post-infos">', '</div>');
        $article_content = stripWithDelimiters($article_content, '<ul class="post-tags"', '</ul>');        
        
		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . '/feeds/latest_posts.xml';
		$this->collectExpandableDatas($feedUrl);
	}
}
